import { InputOptions, OutputOptions, RollupOutput } from 'rollup';
import { Resolver } from './resolver';
import { Options } from 'rollup-plugin-vue';
export interface BuildOptions {
    root?: string;
    cdn?: boolean;
    resolvers?: Resolver[];
    outDir?: string;
    assetsDir?: string;
    srcRoots?: string[];
    rollupInputOptions?: InputOptions;
    rollupOutputOptions?: OutputOptions;
    rollupPluginVueOptions?: Partial<Options>;
    emitAssets?: boolean;
    write?: boolean;
    minify?: boolean;
    silent?: boolean;
}
export interface BuildResult {
    html: string;
    assets: RollupOutput['output'];
}
export declare function build(options?: BuildOptions): Promise<BuildResult>;
