/// <reference types="node" />
import { Server } from 'http';
import Koa from 'koa';
import { Resolver, InternalResolver } from './resolver';
import { HMRWatcher } from './serverPluginHmr';
export { Resolver };
export declare type Plugin = (ctx: PluginContext) => void;
export interface PluginContext {
    root: string;
    app: Koa;
    server: Server;
    watcher: HMRWatcher;
    resolver: InternalResolver;
}
export interface ServerConfig {
    root?: string;
    plugins?: Plugin[];
    resolvers?: Resolver[];
}
export declare function createServer(config?: ServerConfig): Server;
